﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=7.3
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	
	Public oSQL As SQL
	
End Sub

Sub Service_Create

	'@@@ Debug Testing
	'File.Delete(File.DirInternal, "messages.db")   '... only for testing, removes the database
	'Log("Deleteing File")
	'Return
	
	If Not(File.Exists(File.DirInternal,"messages.db")) Then
	
		'initialize the database ... & create new db
		oSQL.Initialize (File.DirInternal,"messages.db",True)
		oSQL.ExecNonQuery("CREATE TABLE tbl_Messages (Id INTEGER PRIMARY KEY, Timestamp INTEGER, ChatClientName TEXT,  Message TEXT, IOflag TEXT)")
		
	Else
		
		Log("Opening Existing DB file ...")
		'initialize the database ... do Not create new
		oSQL.Initialize (File.DirInternal,"messages.db",False)
		
	End If

	'@@@ Debug Testing
	'To Completely Delete a Table contained within a database ...
	'oSQL.ExecNonQuery("DROP TABLE IF EXISTS tbl_Messages")
	'Return
		
End Sub

Sub Service_Start (StartingIntent As Intent)

	
	
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
